> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List generated reports

> List all reports for the organization with cursor-based pagination



## OpenAPI

````yaml get /api/v1/reports
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/reports:
    get:
      tags:
        - Reports
      summary: List generated reports
      description: List all reports for the organization with cursor-based pagination
      parameters:
        - schema:
            type: string
          required: false
          description: 'Number of items per page (default: 10, max: 100)'
          name: limit
          in: query
        - schema:
            type: string
          required: false
          description: Cursor for pagination (ID of the last item in previous page)
          name: cursor
          in: query
        - schema:
            type: string
            enum:
              - PENDING
              - PROCESSING
              - COMPLETED
              - FAILED
          required: false
          description: Filter by report status
          name: status
          in: query
      responses:
        '200':
          description: Reports retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  reports:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        organizationId:
                          type: string
                        status:
                          type: string
                          enum:
                            - PENDING
                            - PROCESSING
                            - COMPLETED
                            - FAILED
                        type:
                          type: string
                          enum:
                            - AGENT_CALLS
                        filters:
                          type: object
                          properties:
                            callEndedReasons:
                              type: array
                              items:
                                type: string
                                enum:
                                  - COULD_NOT_CONNECT
                                  - NO_ANSWER
                                  - LEFT_VOICEMAIL
                                  - VOICEMAIL_DETECTED
                                  - SILENCE_TIMEOUT
                                  - BAD_NUMBER
                                  - NOT_INTERESTED
                                  - WARM_TRANSFER
                                  - WARM_TRANSFER_FAILED
                                  - CALENDLY
                                  - DNC
                                  - ENDED
                                  - FRAUD
                                  - LINE_BUSY
                                  - TEXT_CONSENT
                                  - CALL_AGAIN
                            startCallStartedAt:
                              type: string
                              format: date-time
                            endCallStartedAt:
                              type: string
                              format: date-time
                        fileKey:
                          type: string
                          nullable: true
                        rowCount:
                          type: number
                          nullable: true
                        errorMessage:
                          type: string
                          nullable: true
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        completedAt:
                          type: string
                          nullable: true
                      required:
                        - id
                        - organizationId
                        - status
                        - type
                        - filters
                        - fileKey
                        - rowCount
                        - errorMessage
                        - createdAt
                        - updatedAt
                        - completedAt
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - reports
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````